org.apache.hadoop.hdfs.server.diskbalancer.planner

## Interface Planner

- All Known Implementing Classes:
    GreedyPlanner

      public interface Planner

  Planner interface allows different planners to be created.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `NodePlan` | `plan(DiskBalancerDataNode node)`

- - ### Method Detail

    - #### plan

          NodePlan plan(DiskBalancerDataNode node)
                 throws Exception

      Throws:
        `Exception`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.